import type { ViteDevServer } from 'vite';
import type { AstroConfig, RouteCache, RouteData, RuntimeMode } from '../@types/astro';
import type { LogOptions } from '../logger';
interface SSROptions {
    /** an instance of the AstroConfig */
    astroConfig: AstroConfig;
    /** location of file on disk */
    filePath: URL;
    /** logging options */
    logging: LogOptions;
    /** "development" or "production" */
    mode: RuntimeMode;
    /** production website, needed for some RSS & Sitemap functions */
    origin: string;
    /** the web request (needed for dynamic routes) */
    pathname: string;
    /** optional, in case we need to render something outside of a dev server */
    route?: RouteData;
    /** pass in route cache because SSR can’t manage cache-busting */
    routeCache: RouteCache;
    /** Vite instance */
    viteServer: ViteDevServer;
}
/** use Vite to SSR */
export declare function ssr({ astroConfig, filePath, logging, mode, origin, pathname, route, routeCache, viteServer }: SSROptions): Promise<string>;
export {};
