import type { AstroConfig } from '../../@types/astro';
import type { LogOptions } from '../../logger';
import vite from 'vite';
import { AstroDevServer } from '../../dev';
declare type ViteConfigWithSSR = vite.InlineConfig & {
    ssr?: {
        external?: string[];
        noExternal?: string[];
    };
};
/** Return a common starting point for all Vite actions */
export declare function loadViteConfig(viteConfig: ViteConfigWithSSR, { astroConfig, logging, devServer }: {
    astroConfig: AstroConfig;
    logging: LogOptions;
    devServer?: AstroDevServer;
}): Promise<ViteConfigWithSSR>;
export {};
